# Appendix A: dqMan Syntax Extensions

### The API Command: `filename`

This command can be used anywhere within dqMan (API command, API scripts, functions etc.). The usage is the same as the API get command, but it returns a valid windows filename. This is very helpful for all types of file operations, like export.

Within the returned value all invalid characters are replaced by an underscore.

| **Command**      | `get,c,<r_object_id>,object_name` | `filename,c,<r_object_id>,object_name` |
| ---------------- | --------------------------------- | -------------------------------------- |
| **Return value** | `Name:Is this a slash / ?`        | `Name_Is this a slash _ _`             |

### The DQL Administration Method: `set_session_dd_locale`

This method can be used to change the current session locale with a DQL command or a DQL script (within dqMan only).

Syntax:\
`EXECUTE set_session_dd_locale WITH locale=’new_locale’`

New\_locale must be a valid locale in the repository where the command is executed in, e.g. en.

dqMan uses this command in the generated scripts of the functions Edit Attribute or Attribute Create Script.

### The DQL Administration Method: `count_sessions` <a href="#toc312150155" id="toc312150155"></a>

This is a regular, but undocumented DQL Administrative Method to find the details of sessions, other than `list_sessions` and `show_sessions`.

Syntax:\
`Execute count_sessions`

The above DQL returns the following values:

* `concurrent_sessions`
* `history_sessions`
* `history_timeout`
* `hot_list_size` (active sessions)
* `warm_list_size` (timed out sessions)
* `cold_list_size` (free sessions)

This method is also available in the **Server Session Statistics** session function, available in the **Functions** menu.

### Script Commands and Variables

Go to [Customize dqMan](/opentext-documentum-edition-26.1/customize-dqman.md#_ref285204368) to see more about script commands and the use of variables in API scripts. These are also dqMan specific and will not work anywhere else.

## &#x20;<a href="#toc298702508" id="toc298702508"></a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dqman.com/opentext-documentum-edition-26.1/appendix-a-dqman-syntax-extensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
